Get all linked policy numbers Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v2/plans/linked-policy-numbers

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[linked_policy_number] string

    Filter by a comma separated list of partial linked policy numbers of the linked policy numbers.

  • filter[policy_number] string

    Filter by a comma separated list of partial policy numbers of the plans the linked policy numbers belong to.

  • filter[plan_uuid] string

    Filter by a comma separated list of plan UUIDs the linked policy numbers belong to.

  • filter[provider_uuids] string

    Filter by a comma separated list provider UUIDS.

  • filter[account_uuids] string

    Filter by a comma separated list account UUIDS.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, linked_policy_number, policy_number, provider]. Negative sign to denote DESC. Defaults to '-created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • linked_policy_number string

        The linked policy number.

      • plan object

        The plan this linked policy number belongs to.

        Hide plan attributes Show plan attributes object
        • uuid string
        • created_at string
        • updated_at string
        • opened_at string
        • name string
        • type string
        • sub_type string
        • abstract_type string
        • policy_number string
        • proposal_reference string
        • status string
        • inactive_at string
        • inactive_reason string
        • agency_in_your_name boolean
        • agency_in_your_name_from string
        • originally_sold_by_firm boolean
        • under_advice boolean
        • visible_on_client_portal boolean
        • include_in_client_valuation boolean
        • show_on_joint boolean
        • shown_on_circles boolean
        • review_date string
        • on_panel boolean
        • is_group_scheme boolean
        • is_sub_group_scheme boolean
        • is_group_scheme_member boolean
        • advice_area string
        • main_account string
        • sub_accounts string
        • provider string
        • covers string
        • claims string
        • total_benefit_amount object
          Hide total_benefit_amount attributes Show total_benefit_amount attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • total_benefits object
          Hide total_benefits attributes Show total_benefits attributes object
          • critical_illness object
            Hide critical_illness attributes Show critical_illness attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
          • family_income_benefit object
            Hide family_income_benefit attributes Show family_income_benefit attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
        • latest_valuations string
        • value object
          Hide value attributes Show value attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • valued_at string
        • original_valued_at string
        • client string
        • accounts string
        • seller string
        • linked_owners string
        • linked_plans string
        • visible_to_circles string
        • statistics object
          Hide statistics attribute Show statistics attribute object
          • recent_growth integer
        • cases string
        • tags string
        • is_wrap_product boolean
        • is_wrap_child boolean
        • wrap string
        • wrap_children string
        • linked_policy_numbers string
        • can_be_deleted string
        • contract_enquiry_account string
        • custom_fields string
        • external_references string
GET /api/v2/plans/linked-policy-numbers
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/plans/linked-policy-numbers' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "0ab4f2c4-a8b0-49cc-aa15-8ce35f98b297",
      "created_at": "2026-06-08T16:08:03+01:00",
      "updated_at": "2026-06-08T16:08:03+01:00",
      "linked_policy_number": "ABC123-X",
      "plan": {
        "uuid": "a343a02b-569b-4769-ba8d-fb42e07a4b24",
        "created_at": "2026-06-08T16:08:03+01:00",
        "updated_at": "2026-06-08T16:08:03+01:00",
        "opened_at": "2026-06-08T16:08:03+01:00",
        "name": "Johns ISA",
        "type": "cash_account",
        "sub_type": "lifetime isa",
        "abstract_type": "asset",
        "policy_number": "AVIVA-123",
        "proposal_reference": "AB123456",
        "status": "inactive",
        "inactive_at": "2026-06-08T16:08:03+01:00",
        "inactive_reason": "claimed",
        "agency_in_your_name": true,
        "agency_in_your_name_from": "2025-06-08",
        "originally_sold_by_firm": true,
        "under_advice": true,
        "visible_on_client_portal": true,
        "include_in_client_valuation": true,
        "show_on_joint": true,
        "shown_on_circles": true,
        "review_date": "2025-06-08",
        "on_panel": true,
        "is_group_scheme": false,
        "is_sub_group_scheme": false,
        "is_group_scheme_member": false,
        "advice_area": "non_investment_insurance",
        "main_account": "App\\Http\\Resources\\Plans\\SubAccountResource",
        "sub_accounts": "App\\Http\\Resources\\Plans\\SubAccountResource",
        "provider": "App\\Http\\Resources\\Plans\\ProviderResource",
        "covers": "App\\Http\\Resources\\Plans\\CoverResource",
        "claims": "App\\Http\\Resources\\Plans\\ClaimResource",
        "total_benefit_amount": {
          "amount": {
            "example": "25000000",
            "description": "Money amount at their lowest denominator (for example: pennies)"
          },
          "formatted": {
            "example": "£250,000.00",
            "description": "Money amount formatted with currency"
          },
          "currency": {
            "example": "GBP",
            "description": "Currency of the money"
          }
        },
        "total_benefits": {
          "critical_illness": {
            "amount": {
              "example": "15000000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£150,000.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": "GBP",
              "description": "Currency of the money"
            }
          },
          "family_income_benefit": {
            "amount": {
              "example": "10000000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£100,000.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": "GBP",
              "description": "Currency of the money"
            }
          }
        },
        "latest_valuations": "App\\Http\\Resources\\Plans\\ValuationResource",
        "value": {
          "amount": {
            "example": "4000",
            "description": "Money amount at their lowest denominator (for example: pennies)"
          },
          "formatted": {
            "example": "£40.00",
            "description": "Money amount formatted with currency"
          },
          "currency": {
            "example": "GBP",
            "description": "Currency of the money"
          }
        },
        "valued_at": "2026-06-08T16:08:03+01:00",
        "original_valued_at": "2026-06-07T16:08:03+01:00",
        "client": "App\\Http\\Resources\\AccountResource",
        "accounts": "App\\Http\\Resources\\AccountResource",
        "seller": "App\\Http\\Resources\\AccountResource",
        "linked_owners": "App\\Http\\Resources\\AccountResource",
        "linked_plans": "App\\Http\\Resources\\Plans\\PlanResource",
        "visible_to_circles": "App\\Http\\Resources\\CircleResource",
        "statistics": {
          "recent_growth": 100
        },
        "cases": "App\\Http\\Resources\\CasesResource",
        "tags": "App\\Http\\Resources\\TagResource",
        "is_wrap_product": false,
        "is_wrap_child": false,
        "wrap": "App\\Http\\Resources\\Plans\\PlanResource",
        "wrap_children": "App\\Http\\Resources\\Plans\\PlanResource",
        "linked_policy_numbers": "App\\Http\\Resources\\Plans\\LinkedPolicyNumberResource",
        "can_be_deleted": "false",
        "contract_enquiry_account": "App\\Http\\Resources\\AccountResource",
        "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
        "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
      }
    }
  ]
}